function createOption(numQSelect){

  var index = numQSelect.selectedIndex;
  var numOption = numQSelect.options[index].text;
    
  var optionDiv = document.getElementById("optionDiv");
  var options = optionDiv.getElementsByTagName("div");
  var choice;
    
  if (numOption < options.length) {
    while (numOption < options.length) {
      optionDiv.removeChild(optionDiv.lastChild);
      options = optionDiv.getElementsByTagName("div");
    }
  } else if (numOption > options.length) {
      while (numOption > options.length){
        choice = String.fromCharCode(65 + options.length);  
        optionDiv.innerHTML += 
          "<p><div><input name=\"correct\" type=\"radio\" "+
          "value=\""+choice+"\" /> "+
          choice+". <input type=\"text\" size=\"60\" name=\""+
          choice+"\"/></div></p>";      
        options = optionDiv.getElementsByTagName("div");
      }
    }
}

function validateForm(){
  
  //check question
  if (!isText("qtext")){
    alert("Question is required");
    document.getElementById("qtext").select();
    return false;
  }
  
  //A
  if (!isText("A")){
    alert("Choice A is required");
    document.getElementById("A").select();
    return false;
  }
  
  //B
  if (!isText("B")){
    alert("Choice B is required");
    document.getElementById("B").select();
    return false;
  }
  
  // C
  if(doesElementExists("C")){
    if (!isText("C")){
      alert("Choice C is required");
      document.getElementById("C").select();
      return false;
    }
  }
  
  // D
  if(doesElementExists("D")){
    if (!isText("D")){
      alert("Choice D is required");
      document.getElementById("D").select();
      return false;
    }
  }
  // E
  if(doesElementExists("E")){
    if (!isText("E")){
      alert("Choice E is required");
      document.getElementById("E").select();
      return false;
    }
  }

  return true;

}

function isText(id){
  var regexp = /\w+/;
  var value = document.getElementById(id).value;
  if (!value.match(regexp)){
    return false;
  }
  return true;
}

function doesElementExists(id){
  if (document.getElementById(id) == null)
    return false;
  else
    return true;
}
