import java.sql.*;
import java.net.*;
import java.io.*;
import oracle.xml.sql.dml.OracleXMLSave;

public class xsuInsertStudent {
  public static void main(String argv[])
     throws SQLException {

    try {
      Class.forName ("oracle.jdbc.driver.OracleDriver");
    } catch (ClassNotFoundException e) {
        System.out.println ("Could not load the driver");
        return;
      }
    Connection conn =
        DriverManager.getConnection(
          "jdbc:oracle:thin:@tinman.cs.gsu.edu:1521:sid9ir2",
          "book","book");
    OracleXMLSave sav = new OracleXMLSave(conn, "book.students");
    sav.setRowTag("STUDENT");
    URL u = createURL(argv[0]);
    sav.insertXML(u);
    sav.close();
    conn.close();
  }

  static URL createURL(String fileName) {
    URL url = null;
    try {
      url = new URL(fileName);
    } catch (MalformedURLException ex) {
        File f = new File(fileName);
        try {
          String path = f.getAbsolutePath();
          String fs = System.getProperty("file.separator");
          if (fs.length() == 1) {
            char sep = fs.charAt(0);
            if (sep != '/')
              path = path.replace(sep, '/');
            if (path.charAt(0) != '/')
              path = '/' + path;
          }
          path = "file://" + path;
          url = new URL(path);
        } catch (MalformedURLException e) {
            System.out.println("Cannot create url for: "+ 
                               fileName);
            System.exit(0);
          }
      }
    return url;
  }
}
