<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <body>
    <h2>Book Catalog</h2>
    <h3>Books in FICTION category with PRICE more than 10.00</h3>
    <table border="1">
    <tr>
      <th align="left">Author</th>
      <th align="left">Title</th>
      <th align="left">Price</th>
    </tr>
    <xsl:for-each select='books/book[@category="FICTION"]'>
    <xsl:sort select="author"/>
    <xsl:if test="price &gt; 10">
      <tr>
        <td><xsl:value-of select="author"/></td>
        <td><xsl:value-of select="title"/></td>
        <td><xsl:value-of select="price"/></td>
      </tr>
    </xsl:if>
    </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>
