<?xml version = "1.0"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <body>
    <h2>Book Catalog</h2>
      <xsl:apply-templates/>
  </body>
  </html>
</xsl:template>

<xsl:template match="books">
  <table border="1">
  <tr>
    <th align="left">Author</th>
    <th align="left">Title</th>
  </tr>
    <xsl:apply-templates/>
  </table>
</xsl:template>

<xsl:template match="book">
<tr>
  <xsl:apply-templates select="author"/>
  <xsl:apply-templates select="title"/>
</tr>
</xsl:template>

<xsl:template match="author|title">
  <td><xsl:value-of select="."/></td>
</xsl:template>

</xsl:stylesheet>
