<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="bgc">#FF00FF</xsl:variable>

<xsl:template match="/">
  <html>
  <body>
    <h2>Book Catalog</h2>
    <table border="1">
    <tr>
      <th align="left" bgcolor="{$bgc}">Author</th>
      <th align="left" bgcolor="{$bgc}">Title</th>
    </tr>
    <xsl:for-each select="books/book">
      <tr>
        <td bgcolor="{$bgc}">
          <xsl:value-of select="author"/>
        </td>
        <td bgcolor="{$bgc}">
          <xsl:value-of select="title"/>
        </td>
      </tr>
    </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>
