import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Simple extends HttpServlet {
  public static final String TITLE =
        "Hello World Servlet";

  public void doGet (HttpServletRequest request, 
                       HttpServletResponse response)
        throws ServletException, IOException {
    // set content type and other response header fields first
    response.setContentType("text/html");

    // get the communication channel with the requesting client
    PrintWriter out = response.getWriter();

    // write the data
    out.println("<HTML>");
    out.println("<HEAD>");
    out.println("<TITLE>" + TITLE + "</TITLE>");
    out.println("</HEAD>");
    out.println("<BODY BGCOLOR=\"#FFFFFF\">");
    out.println("<CENTER>");
    out.println("<H1>" + TITLE + "</H1>");
    out.println("<H3>The local time is: ");
    out.println("<font color='#FFBBCC'>" + new java.util.Date() + "</font>");
    out.println("</H3>");
    out.println("</CENTER>");
    out.println("</BODY>");
    out.println("</HTML>");
  }
}


