drop type city_type force;
create type city_type as object (
  ccode     varchar2(15),
  cname     varchar2(50)
);
/
show errors
drop type cities_in_table force;
create type cities_in_table as table of city_type;
/
show errors

drop table state cascade constraints;
create table state (
  scode      varchar2(15),
  sname      varchar2(50),
  nickname   varchar2(100),
  population number(30),
  capital    city_type,
  cities_in  cities_in_table, 
  primary key (scode))
  nested table cities_in store as cities_tab;
