drop type city_type force;
create type city_type as object (
  ccode     varchar2(15),
  cname     varchar2(50)
);
/
show errors
drop type cities_in_table force;
create type cities_in_table as table of city_type;
/
show errors

drop table state cascade constraints;
create table state (
  scode      varchar2(15),
  sname      varchar2(50),
  capital    city_type,
  cities   cities_in_table, 
  nickname   varchar2(100),
  population number(30)
--  primary key (scode)
)
  nested table cities store as cities_tab;
