<?xml version = "1.0"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" indent="yes"/>

<xsl:template match="/">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="books">
  <books>
    <xsl:apply-templates/>
  </books>
</xsl:template>

<xsl:template match="book">
  <xsl:element name="book">
    <xsl:attribute name="price">
      <xsl:value-of select="price"/>
    </xsl:attribute> 
    <xsl:attribute name="category">
      <xsl:value-of select="@category"/>
    </xsl:attribute> 
    <xsl:element name="isbn">
      <xsl:value-of select="@isbn"/>
    </xsl:element>
    <xsl:element name="author">
      <xsl:value-of select="author"/>
    </xsl:element>
    <xsl:element name="title">
      <xsl:value-of select="title"/>
    </xsl:element>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
